Anonymous_User Absent Member.
Absent Member.
628 views

First IDM 4.5 install on Rhel 6.5


This is my first idm45 install on rhel 6.

I am getting an error on install in ld-linux.so.2 with a bad ELF
interpreter.

Do I need an older version of glibc on rhel6x? I cannot find anything on
the requirements about what glibc and that is the only thing I can think
of that may be the issue.

../install.bin -i console
ARG=-i
UI_MODE=console
linux/setup/idm_linux.bin -i console
Preparing to install...
Extracting the JRE from the installer archive...
Unpacking the JRE...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...

Launching installer...

/mnt/products/IDM/linux/setup/idm_linux.bin:
/tmp/install.dir.17109/Linux/resource/jre/bin/java: /lib/ld-linux.so.2:
bad ELF interpreter: No such file or directory
/mnt/products/IDM/linux/setup/idm_linux.bin: line 3319:
/tmp/install.dir.17109/Linux/resource/jre/bin/java: Success​


--
mtsjej
------------------------------------------------------------------------
mtsjej's Profile: https://forums.netiq.com/member.php?userid=6351
View this thread: https://forums.netiq.com/showthread.php?t=53255

Labels (1)
0 Likes
6 Replies
Knowledge Partner
Knowledge Partner

Re: First IDM 4.5 install on Rhel 6.5

On 4/3/2015 11:33 AM, mtsjej wrote:
>
> This is my first idm45 install on rhel 6.
>
> I am getting an error on install in ld-linux.so.2 with a bad ELF
> interpreter.
>
> Do I need an older version of glibc on rhel6x? I cannot find anything on
> the requirements about what glibc and that is the only thing I can think
> of that may be the issue.
>
> ./install.bin -i console
> ARG=-i
> UI_MODE=console
> linux/setup/idm_linux.bin -i console
> Preparing to install...
> Extracting the JRE from the installer archive...
> Unpacking the JRE...
> Extracting the installation resources from the installer archive...
> Configuring the installer for this system's environment...
>
> Launching installer...
>
> /mnt/products/IDM/linux/setup/idm_linux.bin:
> /tmp/install.dir.17109/Linux/resource/jre/bin/java: /lib/ld-linux.so.2:
> bad ELF interpreter: No such file or directory
> /mnt/products/IDM/linux/setup/idm_linux.bin: line 3319:
> /tmp/install.dir.17109/Linux/resource/jre/bin/java: Success​


The docs I THINK miss a point with installing on Redhat.

You need all the packages they reference in the docs true. But you also
need to get the 32 bit versions of them.

The JVM the Install Anywhere installer uses is 32 bit. So to RUN you
need the 64 bit rpms. To install you need the 32 bit. Very annoying.

0 Likes
Anonymous_User Absent Member.
Absent Member.

Re: First IDM 4.5 install on Rhel 6.5


Ahh I remember this now! Thank you!


--
mtsjej
------------------------------------------------------------------------
mtsjej's Profile: https://forums.netiq.com/member.php?userid=6351
View this thread: https://forums.netiq.com/showthread.php?t=53255

0 Likes
Knowledge Partner
Knowledge Partner

Re: First IDM 4.5 install on Rhel 6.5

On 4/3/2015 1:29 PM, mtsjej wrote:
>
> Ahh I remember this now! Thank you!


Honestly, last time, I never did figure it out. 🙂 Second time is the
charm.

0 Likes
Anonymous_User Absent Member.
Absent Member.

Re: First IDM 4.5 install on Rhel 6.5


Well of course after this I find the II-rhel-Prerequisite.sh script
buried in the install ISO which tells you what you need for rhel6
install!


--
mtsjej
------------------------------------------------------------------------
mtsjej's Profile: https://forums.netiq.com/member.php?userid=6351
View this thread: https://forums.netiq.com/showthread.php?t=53255

0 Likes
Knowledge Partner
Knowledge Partner

Re: First IDM 4.5 install on Rhel 6.5

On 4/3/2015 1:54 PM, mtsjej wrote:
>
> Well of course after this I find the II-rhel-Prerequisite.sh script
> buried in the install ISO which tells you what you need for rhel6
> install!


Does it mention the 32 bit versions? Docs to me were not that clear.


0 Likes
Anonymous_User Absent Member.
Absent Member.

Re: First IDM 4.5 install on Rhel 6.5

On 4/3/15 9:37 PM, Geoffrey Carman wrote:
> On 4/3/2015 1:54 PM, mtsjej wrote:
>>
>> Well of course after this I find the II-rhel-Prerequisite.sh script
>> buried in the install ISO which tells you what you need for rhel6
>> install!

>
> Does it mention the 32 bit versions? Docs to me were not that clear.


It does, but it's not very clear;

libXau-1.0.6-4.el6.i686.rpm

i686 = 32bit

But I normally mount up the CD and run this:

#!/bin/bash

PKGS="ksh gettext.i686 gettext.x86_64 libXrender.i686 libXau.i686
libxcb.i686 libX11.i686 libXext.i686 libXi.i686 libXtst.i686 glibc.i686
libstdc++.i686 libgcc.i686 compat-libstdc++-33.i686
compat-libstdc++-33.x86_64"

for PKG in $PKGS ;
do
yum -y install "$PKG"
done


After this the installation works.


There is one thing I've found, which is that you must run
<CDROM>/products/IDM/install.bin to install - if you run idm_linux.bin
it will fail to load jClient, and you cannot login.




Casper
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.